Loading...
Searching...
No Matches
Dune::Amg::SparsityBuilder< M > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Functor for building the sparsity pattern of the matrix using examineConnectivity. More...

`#include <dune/istl/paamg/galerkin.hh>`

## Public Member Functions

| SparsityBuilder (M &matrix)
| Constructor.
void | insert (const typename M::size_type &index)
void | operator++ ()
std::size_t | minRowSize ()
std::size_t | maxRowSize ()
std::size_t | sumRowSize ()
std::size_t | index ()

## Detailed Description

template<class M>
class Dune::Amg::SparsityBuilder< M >

Functor for building the sparsity pattern of the matrix using examineConnectivity.

The documentation for this class was generated from the following file:

- galerkin.hh